SparseFile::CacheBlock Class Reference

`#include <SparseFile.h>`

## Public Member Functions

| CacheBlock (DataTypeEnum blockTypeIn, int refIdxIn, int blockIdxIn)

## Public Attributes

int | blockIdx
DataTypeEnum | blockType
int | refIdx

## Detailed Description

Definition at line 322 of file SparseFile.h.

## Constructor & Destructor Documentation

## CacheBlock()

SparseFile::CacheBlock::CacheBlock | ( | DataTypeEnum | blockTypeIn,
|  | int | refIdxIn,
|  | int | blockIdxIn )

inline

Definition at line 327 of file SparseFile.h.

:
blockType(blockTypeIn), refIdx(refIdxIn), blockIdx(blockIdxIn)
{ }
SparseFile::CacheBlock::refIdx
int refIdx
Definition SparseFile.h:325
SparseFile::CacheBlock::blockType
DataTypeEnum blockType
Definition SparseFile.h:324
SparseFile::CacheBlock::blockIdx
int blockIdx
Definition SparseFile.h:326

References blockIdx, blockType, and refIdx.

## Member Data Documentation

## blockType

DataTypeEnum SparseFile::CacheBlock::blockType

Definition at line 324 of file SparseFile.h.

Referenced by CacheBlock(), SparseFileManager::deallocateBlocks(), and SparseFileManager::flushCache().

## refIdx

int SparseFile::CacheBlock::refIdx

Definition at line 325 of file SparseFile.h.

Referenced by CacheBlock(), SparseFileManager::deallocateBlock(), and SparseFileManager::deallocateBlock().

## blockIdx

int SparseFile::CacheBlock::blockIdx

Definition at line 326 of file SparseFile.h.

Referenced by CacheBlock(), SparseFileManager::deallocateBlock(), and SparseFileManager::deallocateBlock().

The documentation for this class was generated from the following file:

- export/SparseFile.h